Loading...
Searching...
No Matches
raptor::index_upgrader< data_layout_mode_ > Class Template Reference

## Public Member Functions

| index_upgrader (index_upgrader &&)=default
| index_upgrader (index_upgrader const &)=default
| index_upgrader (upgrade_arguments const &arguments, size_t const max_count)
index_upgrader & | operator= (index_upgrader &&)=default
index_upgrader & | operator= (index_upgrader const &)=default
void | upgrade ()

## Static Public Member Functions

static double | compute_fpr (size_t const hash_fun, size_t const count, size_t const bin_size)

## Public Attributes

double | fpr {}
std::string | index_file {}
size_t | max_count {}
std::string | output_file {}

The documentation for this class was generated from the following files:

- index.hpp
- index_upgrader.hpp